package View;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.*;

import Model.LayeredGraphNode;

public class NodeView extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private LayeredGraphNode model;
	
	public NodeView( LayeredGraphNode model ) {
		this.model = model;
		setLocation( (int)model.getX(), (int)model.getY() );
		setSize( (int)model.getWidth(), (int)model.getHeight() );
	}
	
	@Override
	public void paintComponent( Graphics g )
	{
		System.out.print( "Drawing: Node " + model.getName() + " Position (" + model.getX() + "," + model.getY() + ") Size (" + model.getWidth() + "," + model.getHeight() + ")\n" );
		g.setColor( Color.RED );
		g.drawRect( (int)model.getX(), (int)model.getY(), (int)model.getWidth(), (int)model.getHeight() );
	}
}
